com.atid.lib.module.rfid.uhf.types

## Enum SessionTarget

- java.lang.Object
- - java.lang.Enum<SessionTarget>
  - - com.atid.lib.module.rfid.uhf.types.SessionTarget

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<SessionTarget>

      public enum SessionTarget
      extends java.lang.Enum<SessionTarget>
      implements IEnumType

  The SessionTarget enumeration represents the Session Flag of the TAG to be the Inventory target when the RFID UHF module is running the Inventory.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `S0`
    `S1`
    `S2`
    `S3`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static SessionTarget` | `valueOf(int code)`
    `static SessionTarget` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SessionTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### S0

          public static final SessionTarget S0

    - #### S1

          public static final SessionTarget S1

    - #### S2

          public static final SessionTarget S2

    - #### S3

          public static final SessionTarget S3

  - ### Method Detail

    - #### values

          public static SessionTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SessionTarget c : SessionTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SessionTarget valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<SessionTarget>`

    - #### valueOf

          public static SessionTarget valueOf(int code)